package service;

import java.util.List;

import model.ComboBoxModel;
import org.springframework.beans.factory.annotation.Autowired;
import service.field.ComboBoxService;

public class DataTypeComboBoxService implements ComboBoxService {
  @Autowired
  private ConfigExecutorService configExecutorService;


  @Override
  public List<ComboBoxModel> loadData() {
    return configExecutorService.getExportDataIds().stream().sorted().map(s -> new ComboBoxModel(s, s, s, true)).toList();
  }


  @Override
  public ComboBoxModel loadModelWithoutGraphConditions(Object id, Object parentValue) {
    throw new UnsupportedOperationException();
  }

  @Override
  public List<ComboBoxModel> loadDataWithFilter(Object filterValue) {
    throw new UnsupportedOperationException();
  }

  @Override
  public List<ComboBoxModel> loadDataByParentValueWithFilter(Object parentValue,
                                                             Object filterValue) {
    throw new UnsupportedOperationException();
  }
}
